#define F_CPU 9600000
#define PERIOD 0.01524
#define NPULSES 16

#include <ioavr.h>
#include <intrinsics.h>

#define _delay_ms(x) __delay_cycles((x)*F_CPU/1000)
#define BTN1_PB (1<<PB0)
#define BTN2_PB (1<<PB4)
#define LED_PB  (1<<PB2)


#define isBtn1Pressed() (PINB & BTN2_PB)
#define isBtn2Pressed() (PINB & BTN1_PB)
#define led_on() (PORTB |= LED_PB) 
#define led_off() (PORTB &= ~LED_PB) 


//-----------------------------------------------------------------------------------
void led_burst( unsigned char pulses )
{
    for( unsigned char i=0; i < pulses; i++)
    {
        led_on();
        _delay_ms( PERIOD );
        led_off();
        _delay_ms( PERIOD );
    }
}

//-----------------------------------------------------------------------------------
int main(void)
{
   DDRB = 0xFF - BTN1_PB - BTN2_PB;
   PORTB = 0;
   
   //    -  .
   if ( isBtn2Pressed() )
   {
      led_burst( NPULSES );
      _delay_ms(5.36); //    2
      led_burst( NPULSES );
   }
   else
   {
      led_burst( NPULSES );
      _delay_ms(7.33); // 
      led_burst( NPULSES );
   }
}
